Bug 1294654 - [Docs] [Release Notes] Release notes are incorrect for a new nova-manage command that was added
[Docs] [Release Notes] Release notes are incorrect for a new nova-manage comm...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z4
: 7.0 (Kilo)
Assigned To: Martin Lopes
: Documentation, ZStream
Depends On: 1274625
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 08:01 EST by Nikola Dipanov
Modified: 2016-04-22 01:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 23:49:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikola Dipanov 2015-12-29 08:01:38 EST
Description of problem:

As per the bug #1203160 - invocation described in the doc text is wrong. Doc text suggests:

$ nova-manage migrate-rhos-6-pci-device-data

while the actual call should be

$ nova-manage db migrate_rhos_6_pci_device_data --max-number X

where X is the maximum number of device to be migrated in one run.

This will be valid only after #1274625 is fixed.

Version-Release number of selected component (if applicable): 

All rhos 7 versions before openstack-nova-2015.1.2-12.el7ost
Comment 2 Andrew Dahms 2016-02-22 20:55:35 EST
Assigning to Martin for review.

Martin - this should be a quick fix; no need for QA on this one.
Comment 3 Martin Lopes 2016-02-22 23:15:45 EST
Updated doctext in BZ#1203160:

----
After fully upgrading to Red Hat Enterprise Linux OpenStack Platform 7 from version 6 (and all nodes are running version 7 code), you should start a background migration of PCI device NUMA node information from the old location to the new location. Version 7 conductor nodes will do this automatically when necessary, but the rest of the idle data needs to be migrated in the background. This is critical to complete before the version 8 release, where support for the old location will be dropped. Use '$ nova-manage db migrate_rhos_6_pci_device_data --max-number X' to perform this transition (where X is the maximum number of devices to be migrated in one run).
Note that this is relevant only for users making use of the PCI pass-through features of Compute.
----

Note You need to log in before you can comment on or make changes to this bug.